package counter;



public interface ICounter {

  public abstract ICounter decrement();

  

  public abstract ICounter increment();

  

  public abstract int getCount();

  

  public abstract ICounter setCount(int newCount) ;

  

  public abstract Object execute(ICounterAlgo algo, Object... param);

}

